<section class='panel' data-ng-controller="UsersController" ng-init="findOne()">
    <header class="panel-heading higher-panel-heading">
        Edit User
    </header>
    <div class="panel-body">
        <form class="form-horizontal row" name="form" role="form" data-ng-submit="update()" novalidate>
            <div class='col-md-12'>
                <div class="form-group">
                    <label mean-token="'create-name'" class="col-md-2 control-label">Full Name</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="user.name" id="name" placeholder="John Smith" value="{{user.name}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-username'" class="col-md-2 control-label">Username</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="user.username" id="username" placeholder="Enter the Email here" value="{{user.username}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-email'" class="col-md-2 control-label">Email</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="user.email" id="email" placeholder="Enter the Email here" value="{{user.email}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-balance'" class="col-md-2 control-label">Balance ($USD)</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="user.balance" id="balance" placeholder="Enter the Email here" value="{{user.balance | numeral}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-profit'" class="col-md-2 control-label">Default Profit (0 - 1)</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="user.profit" id="profit" placeholder="Enter the Email here" value="{{user.profit}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-discount'" class="col-md-2 control-label">Discount (0 - 1)</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="user.discount" id="discount" placeholder="Enter the Email here" value="{{user.discount}}" required>
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-roles'" class="col-md-2 control-label">Roles</label>
                    <div class="col-md-10">
                        <input
                            type="hidden"
                            ui-select2="select2OptionsRoles"
                            ng-model="user.roles"
                            >
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-services'" class="col-md-2 control-label">Services</label>
                    <div class="col-md-10">
                        <input
                            type="hidden"
                            ui-select2="select2OptionsServices"
                            ng-model="user.services"
                            >
                    </div>
                </div>
                <div class="form-group">
                    <label mean-token="'create-services'" class="col-md-2 control-label">Profit Margins</label>
                    <div class="col-md-10">
                        <div data-ng-repeat="service in user.services">
                            <label>{{getServiceText(service)}}</label>
                            <input type="text" class='form-control col-md-12' value="{{user.profits[service]}}" data-ng-model="user.profits[service]" placeholder="{{user.profit}}" />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-10 col-md-2">
                        <button type="submit" class="btn btn-info col-md-12" ng-disabled="disableButton">Save User</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
